AC_REVISION($Revision $)
AC_INIT(swapd, 0.1)
AC_CONFIG_HEADER(config.h)

dnl Checks for programs.
AC_PROG_CC
AC_PROG_MAKE_SET
AC_PROG_INSTALL
AC_AIX
AC_GNU_SOURCE

AC_CHECK_HEADERS(stdlib.h string.h unistd.h time.h sys/time.h getopt.h stdio.h asm/page.h sys/swap.h sys/stat.h sys/types.h fcntl.h dirent.h)
AC_HEADER_TIME
AC_CHECK_FUNCS(sysinfo)

dnl Network stuff
DC_DO_NETWORK

DC_DO_TYPE(uint64_t, unsigned, 8)
DC_DO_TYPE(int64_t, signed, 8)
DC_DO_TYPE(uint32_t, unsigned, 4)
DC_DO_TYPE(int32_t, signed, 4)

AC_REPLACE_FUNCS(getopt strsep)

DC_ASK_OPTLIB(statgrab, sg_get_mem_stats, statgrab.h, [     Use libstatgrab to gather statistics.], libstatgrab, HAVE_LIBSTATGRAB, HAVE_STATGRAB_H)

AC_OUTPUT(Makefile)
